<?php
/*
		[FuShow.cn] (C) 2013-2014 HXWY Inc.
		FuShow Friend V3.0				Id: magic_attachsize.php
		Email <service@fushow.cn>		http://fushow.cn/
*/

if(!defined('IN_FUSHOW')) {
	exit('Access Denied');
}

//好友增容卡
if(submitcheck("usesubmit")) {
	
	$rate = $magic['custom']['addsize'] ? intval($magic['custom']['addsize']) : 10;
	$addsize = 1048576 * $rate;
	$_SGLOBAL['db']->query('UPDATE '.tname('space')." SET addsize = addsize + $addsize WHERE uid='$_SGLOBAL[supe_uid]'");

	magic_use($mid, array(), true);
	showmessage('magicuse_success', $_POST['refer'], 0);

}

?>